cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 
Developer forum

Updating Add-ons from 8.1 to 9

TomWaltz
Newcomer
I am trying to update an add-on I wrote for 8.1 to run on Archicad 9 on Mac OS 10.3.

I opened the file in Codewarrior, repointed all the support directories to the DevKit 6.1, and recompiled.

Archicad 9 tells me the add-on is outdated and will not run.

Is there a step I'm missing? Or a FAQ on this topic?

Thanks!
Tom Waltz
4 REPLIES 4

Karl Ottenstein
Moderator
Just a guess, Tom: did you do a complete rebuild? It's possible that some old compiled resource or object files were used in the link since an ordinary 'make' wouldn't have found them out of date.

Karl
One of the forum moderators   •   AC 26 USA and earlier   •   macOS 12.6.1, iMac Pro 10-Core, Radeon Pro Vega 64

TomWaltz
Newcomer
Yeah, I did. I had thought of that as well.
Tom Waltz

TomWaltz
Newcomer
Whoops! Not complete enough of a rebuild!

It works!
Tom Waltz

Karl Ottenstein
Moderator
TomWaltz wrote:
It works!
Hurray!

Karl
One of the forum moderators   •   AC 26 USA and earlier   •   macOS 12.6.1, iMac Pro 10-Core, Radeon Pro Vega 64

Still looking?

Browse more topics

Back to forum

See latest solutions

Accepted solutions

Start a new discussion!